<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="mtb__st7789v_8c" kind="file" language="C++">
    <compoundname>mtb_st7789v.c</compoundname>
    <includes local="yes" refid="mtb__st7789v_8h">mtb_st7789v.h</includes>
    <includes local="yes">cyhal.h</includes>
    <incdepgraph>
      <node id="11">
        <label>cyhal.h</label>
      </node>
      <node id="10">
        <label>mtb_st7789v.c</label>
        <link refid="mtb__st7789v_8c" />
        <childnode refid="11" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="var">
      <memberdef id="mtb__st7789v_8c_1af48df7424810bce9c7198342e4861dc1" kind="variable" mutable="no" prot="public" static="yes">
        <type>const <ref kindref="compound" refid="structmtb__st7789v__pins__t">mtb_st7789v_pins_t</ref> *</type>
        <definition>const mtb_st7789v_pins_t* pins</definition>
        <argsstring />
        <name>pins</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="28" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="28" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="mtb__st7789v_8c_1a31727b941a20e73a0d03360af0bcc39b" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void data_io_set_input</definition>
        <argsstring>(void)</argsstring>
        <name>data_io_set_input</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="46" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="35" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="35" />
      </memberdef>
      <memberdef const="no" explicit="no" id="mtb__st7789v_8c_1ab92d95349f3c96a78d1b990be7e68cb2" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void data_io_set_output</definition>
        <argsstring>(void)</argsstring>
        <name>data_io_set_output</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="64" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="53" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="mtb__st7789v_8c_1aaaaabdf4c4880f0132ed89e56823186e" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void write_data</definition>
        <argsstring>(uint8_t data)</argsstring>
        <name>write_data</name>
        <param>
          <type>uint8_t</type>
          <declname>data</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="83" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="70" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="70" />
      </memberdef>
      <memberdef const="no" explicit="no" id="mtb__st7789v_8c_1ae54b3714ceb4658006e25d3685876c02" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>uint8_t</type>
        <definition>static uint8_t read_data</definition>
        <argsstring>(void)</argsstring>
        <name>read_data</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="107" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="89" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="89" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga0c2d54e3132c0ea6e84e1aff7d2d7ee0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_st7789v_init8</definition>
        <argsstring>(const mtb_st7789v_pins_t *data)</argsstring>
        <name>mtb_st7789v_init8</name>
        <param>
          <type>const <ref kindref="compound" refid="structmtb__st7789v__pins__t">mtb_st7789v_pins_t</ref> *</type>
          <declname>pins</declname>
          <defname>data</defname>
        </param>
        <briefdescription>
<para>Initializes GPIOs for the software i8080 8-bit interface. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pins</parametername>
</parameternamelist>
<parameterdescription>
<para>Structure providing the pins to use for the display </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if successfully initialized, else an error about what went wrong </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="143" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="113" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="113" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gae69a2958a7e3d9542ef4cd4ecc544294" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_write_reset_pin</definition>
        <argsstring>(bool value)</argsstring>
        <name>mtb_st7789v_write_reset_pin</name>
        <param>
          <type>bool</type>
          <declname>value</declname>
        </param>
        <briefdescription>
<para>Sets value of the display Reset pin. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to set on the pin </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="152" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="149" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="149" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gab92d0972d5d6ebf672ae064531e6beeb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_write_command</definition>
        <argsstring>(uint8_t data)</argsstring>
        <name>mtb_st7789v_write_command</name>
        <param>
          <type>uint8_t</type>
          <declname>command</declname>
          <defname>data</defname>
        </param>
        <briefdescription>
<para>Writes one byte of data to the software i8080 interface with the LCD_DC pin set to 0. </para>        </briefdescription>
        <detaileddescription>
<para>Followed by a low pulse on the NWR line to complete the write. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">command</parametername>
</parameternamelist>
<parameterdescription>
<para>The command to issue to the display </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="162" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="158" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="158" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gaaf544b50c24b80d7d2610622ca7f7389" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_write_data</definition>
        <argsstring>(uint8_t data)</argsstring>
        <name>mtb_st7789v_write_data</name>
        <param>
          <type>uint8_t</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Writes one byte of data to the software i8080 interface with the LCD_DC pin set to 1. </para>        </briefdescription>
        <detaileddescription>
<para>Followed by a low pulse on the NWR line to complete the write. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to issue to the display </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="172" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="168" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="168" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga7124cb38e0869a4efaac86885f82a2d1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_write_command_stream</definition>
        <argsstring>(uint8_t *data, int num)</argsstring>
        <name>mtb_st7789v_write_command_stream</name>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>int</type>
          <declname>num</declname>
        </param>
        <briefdescription>
<para>Writes multiple command bytes to the software i8080 interface with the LCD_DC pin set to 0. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the commands to send to the display </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of commands in the data array to send to the display </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="189" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="179" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="179" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga6ae0950f835844e40955849088884b6c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_write_data_stream</definition>
        <argsstring>(uint8_t *data, int num)</argsstring>
        <name>mtb_st7789v_write_data_stream</name>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>int</type>
          <declname>num</declname>
        </param>
        <briefdescription>
<para>Writes multiple bytes of data to the software i8080 interface with the LCD_DC pin set to 1. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the data to send to the display </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of bytes in the data array to send to the display </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="206" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="196" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="196" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga37af8e22c908fab44d0b2bcfa5f055ed" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t mtb_st7789v_read_data</definition>
        <argsstring>(void)</argsstring>
        <name>mtb_st7789v_read_data</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reads one byte of data from the software i8080 interface with the LCD_DC pin set to 1. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The byte read from the display </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="224" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="213" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="213" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga411834efd45fc41eb41cdb82d1cc5d23" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_read_data_stream</definition>
        <argsstring>(uint8_t *data, int num)</argsstring>
        <name>mtb_st7789v_read_data_stream</name>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>int</type>
          <declname>num</declname>
        </param>
        <briefdescription>
<para>Reads multiple bytes of data from the software i8080 interface with the LCD_DC pin set to 1. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">data</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to where to store the bytes read from the display </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of bytes to read from the display </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="243" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="231" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="231" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga14844b3396bcc635e10d09f11aa147fc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_st7789v_free</definition>
        <argsstring>(void)</argsstring>
        <name>mtb_st7789v_free</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Free all resources used for the software i8080 interface. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="263" bodyfile="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" bodystart="249" column="1" file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" line="249" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This is display software i8080 interface source file. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"mtb_st7789v.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structmtb__st7789v__pins__t">mtb_st7789v_pins_t</ref><sp />*pins;</highlight></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="32"><highlight class="comment"><sp />*<sp />Changes<sp />data<sp />bus<sp />GPIO<sp />pins<sp />drive<sp />mode<sp />to<sp />digital<sp />Hi-Z<sp />with<sp />enabled<sp />input</highlight></codeline>
<codeline lineno="33"><highlight class="comment"><sp />*<sp />buffer.</highlight></codeline>
<codeline lineno="34"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />data_io_set_input(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="36"><highlight class="normal">{</highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />enable<sp />input<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0">db08</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f">db09</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e">db10</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5">db11</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7">db12</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583">db13</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb">db14</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724">db15</ref>,<sp />CYHAL_GPIO_DIR_INPUT,<sp />CYHAL_GPIO_DRIVE_NONE);</highlight></codeline>
<codeline lineno="46"><highlight class="normal">}</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="50"><highlight class="comment"><sp />*<sp />Changes<sp />data<sp />bus<sp />GPIO<sp />pins<sp />drive<sp />mode<sp />to<sp />strong<sp />drive<sp />with<sp />disabled<sp />input</highlight></codeline>
<codeline lineno="51"><highlight class="comment"><sp />*<sp />buffer.</highlight></codeline>
<codeline lineno="52"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />data_io_set_output(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />enable<sp />output<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0">db08</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f">db09</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e">db10</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5">db11</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7">db12</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583">db13</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb">db14</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_configure(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724">db15</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG);</highlight></codeline>
<codeline lineno="64"><highlight class="normal">}</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="68"><highlight class="comment"><sp />*<sp />Writes<sp />one<sp />byte<sp />of<sp />data<sp />to<sp />the<sp />software<sp />i8080<sp />interface.</highlight></codeline>
<codeline lineno="69"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />write_data(uint8_t<sp />data)</highlight></codeline>
<codeline lineno="71"><highlight class="normal">{</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0">db08</ref>,<sp /><sp />data<sp /><sp /><sp /><sp /><sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f">db09</ref>,<sp />(data&gt;&gt;1)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e">db10</ref>,<sp />(data&gt;&gt;2)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5">db11</ref>,<sp />(data&gt;&gt;3)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7">db12</ref>,<sp />(data&gt;&gt;4)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583">db13</ref>,<sp />(data&gt;&gt;5)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb">db14</ref>,<sp />(data&gt;&gt;6)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724">db15</ref>,<sp />(data&gt;&gt;7)<sp />&amp;<sp />0x01);</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a3f40cf9318c981c111724f70f26065e6">nwr</ref>,<sp />0u);</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a3f40cf9318c981c111724f70f26065e6">nwr</ref>,<sp />1u);</highlight></codeline>
<codeline lineno="83"><highlight class="normal">}</highlight></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="87"><highlight class="comment"><sp />*<sp />Reads<sp />one<sp />byte<sp />of<sp />data<sp />from<sp />the<sp />software<sp />i8080<sp />interface.</highlight></codeline>
<codeline lineno="88"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">inline</highlight><highlight class="normal"><sp />uint8_t<sp />read_data(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="90"><highlight class="normal">{</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />data<sp />=<sp />0u;</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;nrd,<sp />0u);</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0">db08</ref>);</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f">db09</ref>)<sp />&lt;&lt;<sp />1;</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e">db10</ref>)<sp />&lt;&lt;<sp />2;</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5">db11</ref>)<sp />&lt;&lt;<sp />3;</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7">db12</ref>)<sp />&lt;&lt;<sp />4;</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583">db13</ref>)<sp />&lt;&lt;<sp />5;</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb">db14</ref>)<sp />&lt;&lt;<sp />6;</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />|=<sp />cyhal_gpio_read(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724">db15</ref>)<sp />&lt;&lt;<sp />7;</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;nrd,<sp />1u);</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />data;</highlight></codeline>
<codeline lineno="107"><highlight class="normal">}</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="111"><highlight class="comment"><sp />*<sp />Initializes<sp />GPIOs<sp />for<sp />the<sp />software<sp />i8080<sp />8-bit<sp />interface.</highlight></codeline>
<codeline lineno="112"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs_1ga0c2d54e3132c0ea6e84e1aff7d2d7ee0">mtb_st7789v_init8</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structmtb__st7789v__pins__t">mtb_st7789v_pins_t</ref><sp />*data)</highlight></codeline>
<codeline lineno="114"><highlight class="normal">{</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp />pins<sp />=<sp />data;</highlight></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp />cy_rslt_t<sp />rslt<sp />=</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0">db08</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f">db09</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e">db10</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5">db11</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7">db12</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583">db13</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb">db14</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724">db15</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a3f40cf9318c981c111724f70f26065e6">nwr</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />1u);</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />0u);</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a084420577c6db193a2e27ff30642c1d6">rst</ref>,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />1u);</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_RSLT_SUCCESS<sp />==<sp />rslt)</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />cyhal_gpio_init(pins-&gt;nrd,<sp />CYHAL_GPIO_DIR_OUTPUT,<sp />CYHAL_GPIO_DRIVE_STRONG,<sp />1u);</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="143"><highlight class="normal">}</highlight></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="147"><highlight class="comment"><sp />*<sp />Sets<sp />value<sp />of<sp />the<sp />display<sp />Reset<sp />pin.</highlight></codeline>
<codeline lineno="148"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1gae69a2958a7e3d9542ef4cd4ecc544294">mtb_st7789v_write_reset_pin</ref>(</highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />value)</highlight></codeline>
<codeline lineno="150"><highlight class="normal">{</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a084420577c6db193a2e27ff30642c1d6">rst</ref>,<sp />value);</highlight></codeline>
<codeline lineno="152"><highlight class="normal">}</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="156"><highlight class="comment"><sp />*<sp />Writes<sp />one<sp />byte<sp />of<sp />data<sp />to<sp />the<sp />software<sp />i8080<sp />interface<sp />with<sp />the<sp />LCD_DC<sp />pin</highlight></codeline>
<codeline lineno="157"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1gab92d0972d5d6ebf672ae064531e6beeb">mtb_st7789v_write_command</ref>(uint8_t<sp />data)</highlight></codeline>
<codeline lineno="159"><highlight class="normal">{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />0u);</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />write_data(data);</highlight></codeline>
<codeline lineno="162"><highlight class="normal">}</highlight></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="166"><highlight class="comment"><sp />*<sp />Writes<sp />one<sp />byte<sp />of<sp />data<sp />to<sp />the<sp />software<sp />i8080<sp />interface<sp />with<sp />the<sp />LCD_DC<sp />pin</highlight></codeline>
<codeline lineno="167"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1gaaf544b50c24b80d7d2610622ca7f7389">mtb_st7789v_write_data</ref>(uint8_t<sp />data)</highlight></codeline>
<codeline lineno="169"><highlight class="normal">{</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />1u);</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp />write_data(data);</highlight></codeline>
<codeline lineno="172"><highlight class="normal">}</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="176"><highlight class="comment"><sp />*<sp />Writes<sp />multiple<sp />command<sp />bytes<sp />to<sp />the<sp />software<sp />i8080<sp />interface<sp />with<sp />the<sp />LCD_DC</highlight></codeline>
<codeline lineno="177"><highlight class="comment"><sp />*<sp />pin<sp />set<sp />to<sp />0.</highlight></codeline>
<codeline lineno="178"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1ga7124cb38e0869a4efaac86885f82a2d1">mtb_st7789v_write_command_stream</ref>(uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />num)</highlight></codeline>
<codeline lineno="180"><highlight class="normal">{</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />i;</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />0u);</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(i<sp />=<sp />0;<sp />i<sp />&lt;<sp />num;<sp />i++)</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />write_data(data[i]);</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="189"><highlight class="normal">}</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="193"><highlight class="comment"><sp />*<sp />Writes<sp />multiple<sp />bytes<sp />of<sp />data<sp />to<sp />the<sp />software<sp />i8080<sp />interface<sp />with<sp />the<sp />LCD_DC</highlight></codeline>
<codeline lineno="194"><highlight class="comment"><sp />*<sp />pin<sp />set<sp />to<sp />1.</highlight></codeline>
<codeline lineno="195"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1ga6ae0950f835844e40955849088884b6c">mtb_st7789v_write_data_stream</ref>(uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />num)</highlight></codeline>
<codeline lineno="197"><highlight class="normal">{</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />i;</highlight></codeline>
<codeline lineno="199"><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />1u);</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(i<sp />=<sp />0;<sp />i<sp />&lt;<sp />num;<sp />i++)</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />write_data(data[i]);</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="206"><highlight class="normal">}</highlight></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="210"><highlight class="comment"><sp />*<sp />Reads<sp />one<sp />byte<sp />of<sp />data<sp />from<sp />the<sp />software<sp />i8080<sp />interface<sp />with<sp />the<sp />LCD_DC<sp />pin</highlight></codeline>
<codeline lineno="211"><highlight class="comment"><sp />*<sp />set<sp />to<sp />1.</highlight></codeline>
<codeline lineno="212"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal">uint8_t<sp /><ref kindref="member" refid="group__group__board__libs_1ga37af8e22c908fab44d0b2bcfa5f055ed">mtb_st7789v_read_data</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="214"><highlight class="normal">{</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />data;</highlight></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />1u);</highlight></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp />data_io_set_input();</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp />data<sp />=<sp />read_data();</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp />data_io_set_output();</highlight></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />data;</highlight></codeline>
<codeline lineno="224"><highlight class="normal">}</highlight></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="228"><highlight class="comment"><sp />*<sp />Reads<sp />multiple<sp />bytes<sp />of<sp />data<sp />from<sp />the<sp />software<sp />i8080<sp />interface<sp />with<sp />the<sp />LCD_DC</highlight></codeline>
<codeline lineno="229"><highlight class="comment"><sp />*<sp />pin<sp />set<sp />to<sp />1.</highlight></codeline>
<codeline lineno="230"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1ga411834efd45fc41eb41cdb82d1cc5d23">mtb_st7789v_read_data_stream</ref>(uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />num)</highlight></codeline>
<codeline lineno="232"><highlight class="normal">{</highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_write(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>,<sp />1u);</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp />data_io_set_input();</highlight></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(</highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />i<sp />=<sp />0;<sp />i<sp />&lt;<sp />num;<sp />i++)</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />data[i]<sp />=<sp />read_data();</highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="241"><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal"><sp /><sp /><sp /><sp />data_io_set_output();</highlight></codeline>
<codeline lineno="243"><highlight class="normal">}</highlight></codeline>
<codeline lineno="244"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="247"><highlight class="comment"><sp />*<sp />Free<sp />all<sp />resources<sp />used<sp />for<sp />the<sp />software<sp />i8080<sp />interface.</highlight></codeline>
<codeline lineno="248"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs_1ga14844b3396bcc635e10d09f11aa147fc">mtb_st7789v_free</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="250"><highlight class="normal">{</highlight></codeline>
<codeline lineno="251"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ae6d62e9d0715cc8998780a110dce17e0">db08</ref>);</highlight></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa983d7ee9c6f550f3e49e7354ad3809f">db09</ref>);</highlight></codeline>
<codeline lineno="253"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1aa3b1c658c5079ce550c75fe3f294286e">db10</ref>);</highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a183abf8dc6113493355c476af052f6f5">db11</ref>);</highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac897e0bcea5fd7b63a782ad3a2c4c8e7">db12</ref>);</highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac74e2fdf7c86e6978d4095ebfad3c583">db13</ref>);</highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1acfdef67b77c1df9998efb36e250fe9bb">db14</ref>);</highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1ac469ed03737a6d8bfa5957e510b45724">db15</ref>);</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a3f40cf9318c981c111724f70f26065e6">nwr</ref>);</highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a496d78cec73da91749fc5fb58afaf375">dc</ref>);</highlight></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;<ref kindref="member" refid="structmtb__st7789v__pins__t_1a084420577c6db193a2e27ff30642c1d6">rst</ref>);</highlight></codeline>
<codeline lineno="262"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_free(pins-&gt;nrd);</highlight></codeline>
<codeline lineno="263"><highlight class="normal">}</highlight></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_ST7789V/display-tft-st7789v/mtb_st7789v.c" />
  </compounddef>
</doxygen>